import { GrpcQueryParams, QueryOrPersistedId } from '../../../utils/types/types';
export declare function PHXClientQueryDataCenterV3({ query, variables, isDelay, persistedId, }: QueryOrPersistedId & {
    variables?: Record<string, any>;
    isDelay?: boolean;
}): Promise<import("axios").AxiosResponse<any, any, {}>>;
export declare function PHXClientQueryDevPortalV3({ query, variables, isDelay, persistedId, }: QueryOrPersistedId & {
    variables?: Record<string, any>;
    isDelay?: boolean;
}): Promise<import("axios").AxiosResponse<any, any, {}>>;
export declare function PHXClientQueryV3({ query, variables, isDelay, persistedId, hostname, }: QueryOrPersistedId & {
    variables?: Record<string, any>;
    isDelay?: boolean;
    hostname?: string;
}): Promise<import("axios").AxiosResponse<any, any, {}>>;
export declare function PHXClientMutationV3({ query, variables, isDelay, persistedId, hostname, }: QueryOrPersistedId & {
    hostname?: string;
    variables?: object;
    isDelay?: boolean;
}): Promise<import("axios").AxiosResponse<any, any, {}>>;
export declare function PHXClientMutationDataCenterV3({ query, variables, isDelay, persistedId, }: QueryOrPersistedId & {
    variables?: object;
    isDelay?: boolean;
}): Promise<import("axios").AxiosResponse<any, any, {}>>;
export declare function PHXClientMutationDevPortalV3({ query, variables, isDelay, persistedId, }: QueryOrPersistedId & {
    variables?: object;
    isDelay?: boolean;
}): Promise<import("axios").AxiosResponse<any, any, {}>>;
export declare const PHXGrpcQueryAllSchool: ({ isDelay, query, variables, persistedId }: GrpcQueryParams) => Promise<import("axios").AxiosResponse<any, any, {}>>;
